/* ========== FONTS ========== */
@font-face {
    font-family: "Barlow-Light";
    font-weight: 300;
    src: url('../font/Barlow-Light.ttf');
}
@font-face {
    font-family: "JosefinSlab";
    src: url('../font/JosefinSlab-Regular.ttf');
}
@font-face {
    font-family: "JosefinSlab-Bold";
    font-weight: bold;
    src: url('../font/JosefinSlab-Bold.ttf');
}
@font-face {
    font-family: "JosefinSans-LightItalic";
    font-weight: 300;
    font-style: italic;
    src: url('../font/JosefinSans-LightItalic.ttf');
}
@font-face {
    font-family: "JosefinSans";
    src: url('../font/JosefinSans-Regular.ttf');
}
/* ========== FLEXBOX DISPLAY ========== */
body {
    margin: 0;
}
.container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}
.col {
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
}
.col-3 {
    width: 30%;
}
ul {
    display: flex;
    margin: 0;
    position: relative;
}
li {
    list-style: none;
    padding: 0 20px;
}
a {
    text-decoration: none;
    color: inherit;
    font-family: "Barlow-Light";
}
a:hover {
    filter: opacity(0.7);
}
a:focus {
    outline: none;
}
p {
    font-family: "Barlow-Light";
}
h2 {
    font-family: "JosefinSans-LightItalic";
    color: #ff4757;
    text-align: left;
}
h1 {
    font-family: "JosefinSans";
    color: #008037;
}
/* ========== MOBILE DEVICE - FLEXBOX DISPLAY ========== */
@media screen and (max-width: 576px) {
    .container {
        flex-direction: column;
    }
    .col-3 {
        width: 90%;
        margin: 20px;
    }
}
/* ========== NAVBAR ========== */
header {
    z-index: 99;
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: 0px 1px 3px #707070;
}
#navbar {
    background-color: #008037;
    display: flex;
    align-items: center;
    align-content: space-around;
    justify-content: space-between;
    padding: 0 30px 0 50px;
}
#navbar-logo {
    display: flex;
    align-self: center;
    padding: 20px 0 20px 0;
}
#navbar-logo a {
    display: flex;
}
#nav-menu {
    color: #fff;
}
#navbar-logo img {
    max-height: 30px;
}
#navbar-logo img:nth-child(2) {
    display: none;
}
#nav-burger {
    display: none;
}
#nav-burger:hover {
    filter: opacity(0.7);
    cursor: pointer;
}
#nav-burger img {
    filter: invert(100%);
    padding-right: 10px;
    height: 24px;
}
.nav-active {
    filter: opacity(0.7);
}
/* ========== MOBILE DEVICE - NAVBAR ========== */
@media screen and (min-width: 769px) {
    #nav-menu-2 {
        display: none;
    }
}
@media screen and (max-width: 768px) {
    #nav-menu {
        display: none;
    }
    #nav-burger {
        display: flex;
    }
    #nav-menu-2 {
        color: #fff;
        background-color: #008037;
        border-bottom: 1px dashed #fff;
        position: absolute;
        box-shadow: 0px 3px 3px #707070;
        width: 100%;
    }
    .inactive {
        display: none;
    }
    .active {
        display: block;
    }
    #nav-menu-2 ul {
        display: block;
        padding-inline-start: 0;
        text-align: center;
    }
    #nav-menu-2 li {
        padding: 20px;
    }
    #navbar-logo img:nth-child(1) {
        display: none;
    }
    #navbar-logo img:nth-child(2) {
        display: block;
    }
}
/* ========== BREADCRUMS ========== */
#breadcrums {
    color: #008037;
    float: left;
    margin: 25px 50px;
}
#breadcrums img {
    height: 15px;
    filter: invert(17%) sepia(99%) saturate(2998%) hue-rotate(148deg) brightness(101%) contrast(102%);
}
/* ========== A-PROPOS - GENÉRAL ========== */
#a-propos {
    margin-top: 50px;
    padding-top: 150px;
    background: url(../img/a-propos-leaves.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: top;
}
.a-propos-text {
    max-width: 400px;
    text-align: justify;
}
#a-propos h1 {
    text-align: center;
    padding-bottom: 30px;
}
.green {
    color: #008037;
}
.brown {
    color: #816C4C;
}
.bold {
    font-weight: bold;
}
/* ========== A-PROPOS - TROMBI ========== */
#a-propos-trombi {
    margin-top: 100px;
    margin-bottom: 150px;
}
.a-propos-photo {
    margin: 0 100px;
}
#a-propos-trombi img {
    max-width: 400px;
    border-radius: 5px;
    /* margin-top: 5px; */
}
#a-propos-trombi .a-propos-text{
    background-color: rgba(255, 255, 255, 0.8);
    padding: 50px;
    border-radius: 5px;
}
/* ========== A-PROPOS - LES TROIS DIVS ========== */
.container-2 {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 400px;
}
.a-propos-text-2 {
    max-width: 600px;
    text-align: justify;
}
.a-propos-img-1 img {
    padding-right: 100px;
    padding-top: 2em;
    max-width: 200px;
}
.a-propos-img-2 img {
    padding-left: 100px;
    max-width: 200px;
}
#a-propos-fleurs{
    padding-top: 150px;
    padding-bottom: 150px;
    flex-direction: row-reverse;
}
/* ========== A-PROPOS - FIELD ========== */
#a-propos-field{
    padding-top: 200px;
    padding-bottom: 200px;
    background: url(../img/a-propos-field.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
}
#a-propos-field h2{
    padding-bottom: 30px;
}
#a-propos-field .a-propos-text{
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 100px;
    margin-bottom: 100px;
    border-radius: 5px;
}
#a-propos-field h2, #a-propos-contact{
    text-align: center;
}
#a-propos-contact{
    text-shadow: 0 0 3px #fff ;
}
#a-propos-tel {
    filter: invert(32%) sepia(61%) saturate(1000%) hue-rotate(105deg) brightness(97%) contrast(101%);
    height: 12px;
    padding-right: 5px;
}
/* ========== A-PROPOS - MEDIA QUERIES ========== */
@media screen and (max-width: 1400px) {
    #a-propos-trombi, .container-2, #a-propos-fleurs {
        flex-direction: column;
    }
    .a-propos-img-1 img, .a-propos-img-2 img {
        padding-left: 0px;
        padding-right: 0px;
        padding-bottom: 50px;
        max-width: 200px;
    }
    h2 {
        text-align: center;
        padding-bottom: 30px;
    }
}
@media screen and (max-width: 1120px) {
    .container-2 {
        padding: 0 200px;
    }
}
@media screen and (max-width: 768px) {
    #a-propos-field .a-propos-text{
        padding: 30px;
    }
    #a-propos-contact{
        padding: 10px;
    }
}
@media screen and (max-width: 570px) {
    .container-2 {
        padding: 0 50px;
    }
    #a-propos-trombi img, .a-propos-text {
        max-width: 300px;
    }
}
@media screen and (max-width: 410px) {
    #a-propos-trombi img, .a-propos-text {
        max-width: 200px;
    }
}
/* ========== FOOTER ========== */
footer {
    background-color: #816C4C;
    text-align: center;
    padding-bottom: 10px;
    color: #fff;
    border-top: 1px dashed #fff;
    padding-top: 50px;
}
#footer-top-svg {
    display: block;
    width: 100%;
}
#footer-div1 img {
    width: 70%;
}
#footer-div2 a {
    display: flex;
    align-items: baseline;
}
.footer-svg-icons{
    filter: invert(73%) sepia(26%) saturate(495%) hue-rotate(357deg) brightness(91%) contrast(89%);
    height: 22px;
    padding-right: 10px;
}
#legals {
    color: #4B402D;
    font-family: "Barlow-Light";
    display: block;
    padding: 0 10px;
    font-size: smaller;
}
/* ========== MOBILE DEVICE - FOOTER ========== */
@media (min-width: 576px) and (max-width: 1200px) {
    #footer-div2 {
        display: grid;
    }
    #footer-div2 .col-3 {
        width: 100%;
    }
}
/* ========== WEBSITE CARBON ========== */
#wcb {
    --b1: #008037 !important;
    --b2: #008037 !important;
    color: #000 !important;
}
#wcb_a {
    color: #000 !important;
}
#wcb_2 {
    color: #fff !important;
}
/* ========== SCROLL TO TOP BUTTON ========== */
#myBtn {
    display: none;
    position: fixed;
    bottom: 40px;
    right: 40px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: rgba(1, 1, 1, 0.3);
    cursor: pointer;
    padding: 15px;
    border-radius: 5px;
    height: 50px;
    width: 50px;
    align-items: center;
}
#scroll-top-svg {
    filter: invert(100%);
    padding-bottom: 10px;
}
#myBtn:hover {
    background-color: rgba(1, 1, 1, 0.4);
}
